## org.eclipse.emf.ecore.provider
Class EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptor
          org.eclipse.emf.ecore.provider.EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels

All Implemented Interfaces:
  IItemPropertyDescriptor, IItemPropertyDescriptor.OverrideableCommandOwner

Enclosing class:
  EModelElementItemProvider

    protected static class EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels

extends ItemPropertyDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`ItemPropertyDescriptor.ItemDelegator, ItemPropertyDescriptor.PropertyValueWrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary
`protected java.util.Map<java.lang.Object,java.lang.String>` `uniqueNameMap`

Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`adapterFactory, BOOLEAN_VALUE_IMAGE, category, commandOwner, description, displayName, ecorePackage, feature, filterFlags, GENERIC_VALUE_IMAGE, INTEGRAL_VALUE_IMAGE, isSettable, itemDelegator, multiLine, parentReferences, REAL_VALUE_IMAGE, resourceLocator, sortChoices, staticImage, TEXT_VALUE_IMAGE`

Constructor Summary
`EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels(AdapterFactory adapterFactory, ResourceLocator resourceLocator, java.lang.String displayName, java.lang.String description, EStructuralFeature feature, boolean isSettable, boolean multiLine, boolean sortChoices, java.lang.Object staticImage, java.lang.String category, java.lang.String[] filterFlags)`

Method Summary
`protected java.util.Map<java.lang.Object,java.lang.String>` `computeUniqueLabels(java.lang.Object object, java.util.Collection<?> items)`
`java.util.Collection<?>` `getChoiceOfValues(java.lang.Object object)` Returns the choices of all the values that this property may take one.
`IItemLabelProvider` `getLabelProvider(java.lang.Object object)` This returns the label provider that will be used to render the value of this property.

Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`canSetProperty, collectReachableObjectsOfType, createPropertyValueWrapper, getCategory, getComboBoxObjects, getCommandOwner, getCommandOwner, getDefaultId, getDefaultValue, getDescription, getDisplayName, getEditingDomain, getFeature, getFilterFlags, getHelpContextIds, getId, getPropertyValue, getReachableObjectsOfType, getValue, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setCommandOwner, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uniqueNameMap

    protected java.util.Map<java.lang.Object,java.lang.String> uniqueNameMap

Constructor Detail

### EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels

    public EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels(AdapterFactory adapterFactory,
                                                                                         ResourceLocator resourceLocator,
                                                                                         java.lang.String displayName,
                                                                                         java.lang.String description,
                                                                                         EStructuralFeature feature,
                                                                                         boolean isSettable,
                                                                                         boolean multiLine,
                                                                                         boolean sortChoices,
                                                                                         java.lang.Object staticImage,
                                                                                         java.lang.String category,
                                                                                         java.lang.String[] filterFlags)

Method Detail

### getLabelProvider

    public IItemLabelProvider getLabelProvider(java.lang.Object object)

  Description copied from class: `ItemPropertyDescriptor`
  This returns the label provider that will be used to render the value of this property. The implementation here just creates an `AdapterFactoryItemDelegator`.

  Specified by:
    `getLabelProvider` in interface `IItemPropertyDescriptor`
  Overrides:
    `getLabelProvider` in class `ItemPropertyDescriptor`

### computeUniqueLabels

    protected java.util.Map<java.lang.Object,java.lang.String> computeUniqueLabels(java.lang.Object object,
                                                                                   java.util.Collection<?> items)

### getChoiceOfValues

    public java.util.Collection<?> getChoiceOfValues(java.lang.Object object)

  Description copied from interface: `IItemPropertyDescriptor`
  Returns the choices of all the values that this property may take one.

  Specified by:
    `getChoiceOfValues` in interface `IItemPropertyDescriptor`
  Overrides:
    `getChoiceOfValues` in class `ItemPropertyDescriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.